HDF: java/src/jni/hdfr8Imp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfr8Imp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8getdims (JNIEnv *env, jclass clss, jstring filename, jintArray argv, jbooleanArray isp)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8getimage (JNIEnv *env, jclass clss, jstring filename, jbyteArray image, jint width, jint height, jbyteArray palette)
JNIEXPORT jshort JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8lastref (JNIEnv *env, jclass clss)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8readref (JNIEnv *env, jclass clss, jstring filename, jshort ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8restart (JNIEnv *env, jclass clss)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8nimages (JNIEnv *env, jclass clss, jstring hdfFile)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8addimage (JNIEnv *env, jclass clss, jstring filename, jbyteArray image, jint width, jint height, jshort compress)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8putimage (JNIEnv *env, jclass clss, jstring filename, jbyteArray image, jint width, jint height, jint compress)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8setcompress (JNIEnv *env, jclass clss, jint type, jobject cinfo)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8getpalref (JNIEnv *env, jclass clss, jshortArray palref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8setpalette (JNIEnv *env, jclass clss, jbyteArray palette)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DFR8writeref (JNIEnv *env, jclass clss, jstring filename, jshort ref)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8addimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8addimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | image,
|  | jint | width,
|  | jint | height,
|  | jshort | compress )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8getdims()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8getdims | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jintArray | argv,
|  | jbooleanArray | isp )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8getimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8getimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | image,
|  | jint | width,
|  | jint | height,
|  | jbyteArray | palette )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8getpalref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8getpalref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jshortArray | palref )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8lastref()

JNIEXPORT jshort JNICALL Java_hdf_hdflib_HDFLibrary_DFR8lastref | ( | JNIEnv * | env,
|  | jclass | clss )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8nimages()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_DFR8nimages | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | hdfFile )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8putimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8putimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | image,
|  | jint | width,
|  | jint | height,
|  | jint | compress )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8readref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8readref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jshort | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8restart()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8restart | ( | JNIEnv * | env,
|  | jclass | clss )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8setcompress()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8setcompress | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | type,
|  | jobject | cinfo )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8setpalette()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8setpalette | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jbyteArray | palette )

## ◆ Java_hdf_hdflib_HDFLibrary_DFR8writeref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DFR8writeref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jshort | ref )